1.0
1.0
get /v1/backup-agents
Description
List Backup Agents.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Backup Agent Name Example : agent_abcd12 | any of [string, null] | None |
| query | server_backup_agent_ip optional | Server’s Backup Agent IP Example : 11.22.33.44 | any of [string, null] | None |
| query | server_name optional | Backup Agent target server name Example : server-001 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupAgentListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"backup_policy_count": "3",
"connection_state": "SUCCESS",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "BACKUP_AGENT-abcd",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "agent_abcd12",
"server_backup_agent_ip": "11.22.33.44",
"server_name": "server-001",
"state": "AVAILABLE"
}
],
"count": 1
}